org.eclipse.aether

## Class RepositoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ArtifactDescriptorException, ArtifactResolutionException, ArtifactTransferException, ChecksumFailureException, DependencyCollectionException, DependencyResolutionException, DeploymentException, InstallationException, InvalidVersionSpecificationException, MetadataTransferException, NoLocalRepositoryManagerException, NoRepositoryConnectorException, NoRepositoryLayoutException, NoTransporterException, RepositoryOfflineException, TransferCancelledException, UnsolvableVersionConflictException, VersionRangeResolutionException, VersionResolutionException

      public class RepositoryException
      extends Exception

  The base class for exceptions thrown by the repository system. Note: Unless otherwise noted, instances of this class and its subclasses will not persist fields carrying extended error information during serialization.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryException(String message)` Creates a new exception with the specified detail message.
    `RepositoryException(String message, Throwable cause)` Creates a new exception with the specified detail message and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `getMessage(String prefix, Throwable cause)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryException

          public RepositoryException(String message)

      Creates a new exception with the specified detail message.
      Parameters:
        `message` - The detail message, may be `null`.

    - #### RepositoryException

          public RepositoryException(String message,
                             Throwable cause)

      Creates a new exception with the specified detail message and cause.
      Parameters:
        `message` - The detail message, may be `null`.
        `cause` - The exception that caused this one, may be `null`.

  - ### Method Detail

    - #### getMessage

          protected static String getMessage(String prefix,
                          Throwable cause)

      Restriction:
        This method is not intended to be used by clients.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.